BuildRequires:		zlib-devel bzip2 e2fsprogs e2fsprogs-devel >= 1.39 libattr-devel openssl-devel libgcrypt-devel
%if 0%{?suse_version}
BuildRequires:		libcom_err pkg-config >= 0.20
%endif

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
BuildRequires:		e2fsprogs-libs pkgconfig >= 0.20
%endif
%if 0%{?rhel_version} >= 600 || 0%{?sl_version} >= 600 || 0%{?centos_version} >= 6
BuildRequires:		libuuid-devel libblkid-devel
%endif

Name:			fsarchiver
Version:		0.6.12
Release:		2.8
License:		GPLv2
Url:			http://www.fsarchiver.org
Group:			System/Backup
Summary:		Filesystem Archiver for Linux
Source0:		%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%description
FSArchiver is a system tool that allows you to save the contents
of a file-system to a compressed archive file. The file-system can
be restored on a partition which has a different size and it can
be restored on a different file-system. Unlike tar/dar, FSArchiver
also creates the file-system when it extracts the data to partitions.
Everything is checksummed in the archive in order to protect the data.
If the archive is corrupt, you just loose the current file,
not the whole archive.

%prep
%setup

%build
%configure \
 --disable-lzma \
 --disable-lzo \
 PKG_CONFIG=%{_bindir}/pkg-config \
 BLKID_CFLAGS=-I%{_includedir}/blkid \
 BLKID_LIBS="-L%{_libdir} -lblkid" \
 EXT2FS_CFLAGS=-I%{_includedir}/ext2fs \
 EXT2FS_LIBS="-L%{_libdir} -lext2fs" \
 E2P_CFLAGS=-I%{_includedir}/e2p \
 E2P_LIBS="-L%{_libdir} -le2p" \
 UUID_CFLAGS=-I%{_includedir}/uuid \
 UUID_LIBS="-L%{_libdir} -luuid" || cat config.log 

%__make

%install
%__make DESTDIR=%{buildroot} install
strip %{buildroot}/%{_sbindir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README NEWS COPYING
%{_sbindir}/%{name}
%{_mandir}/man8/fsarchiver.8*

%changelog
* Wed May 25 2011 cs@linux-administrator.com
- update to release 0.6.12
